View Issue Details

IDProjectCategoryView StatusLast Update
12846Development Survey Designpublic2018-02-16 15:53
Reportertpartner Assigned Tomarkusfluer  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.x 
Target VersionFixed in Version3.x 
Summary12846: Cannot edit Menu configuration or entries
Description

In the Configuration --> Menu configuration screen, clicking on "Edit this survey menu" does nothing.

Similarly, in Configuration --> Menu entries configuration screen, clicking on "Edit this survey menu entry" does nothing.

TagsNo tags attached.

Activities

tpartner

tpartner

2017-10-27 22:04

developer  

capture-18.png (32,578 bytes)
capture-18.png (32,578 bytes)
capture-17.png (19,175 bytes)
capture-17.png (19,175 bytes)
markusfluer

markusfluer

2017-11-03 11:40

administrator   ~44945

Still an issue?

tpartner

tpartner

2017-11-03 12:37

developer   ~44955

Yes but further clues...

When debug == 0, it doesn't work and I get a JS error (screenshot attached).

When debug == 1 || debug == 2, it works.



capture-4.png (23,208 bytes)
capture-4.png (23,208 bytes)
markusfluer

markusfluer

2017-11-03 14:56

administrator   ~44964

Forgot to create minified version of the package.

markusfluer

markusfluer

2017-11-03 14:56

administrator   ~44965

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=24458

Related Changesets

LimeSurvey: develop 1670b844

2017-11-03 14:56:10

markusfluer

Details Diff
Fixed issue 12846: Cannot edit Menu configuration or entries Affected Issues
12846
add - assets/packages/surveymenufunctions/README.md Diff File
add - assets/packages/surveymenufunctions/package.json Diff File
add - assets/packages/surveymenufunctions/surveymenufunctionswrapper.min.js Diff File

Issue History

Date Modified Username Field Change
2017-10-27 22:04 tpartner New Issue
2017-10-27 22:04 tpartner File Added: capture-18.png
2017-10-27 22:04 tpartner File Added: capture-17.png
2017-11-03 11:40 markusfluer Note Added: 44945
2017-11-03 12:37 tpartner File Added: capture-4.png
2017-11-03 12:37 tpartner Note Added: 44955
2017-11-03 14:56 markusfluer Assigned To => markusfluer
2017-11-03 14:56 markusfluer Status new => resolved
2017-11-03 14:56 markusfluer Resolution open => fixed
2017-11-03 14:56 markusfluer Fixed in Version => 3.x
2017-11-03 14:56 markusfluer Note Added: 44964
2017-11-03 14:56 markusfluer Changeset attached => LimeSurvey develop 1670b844
2017-11-03 14:56 markusfluer Note Added: 44965
2018-02-16 15:53 c_schmitz Status resolved => closed